.header {
  width: 100%;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: black;
}

/*========== Button Dark/Light ==========*/
.nav__btns {
  display: flex;
  align-items: center;
}

.change-theme {
  font-size: 1.25rem;
  color: var(--title-color);
  margin-right: var(--mb-1);
  cursor: pointer;
}

.change-theme:hover {
  color: var(--first-color);
}

/* --- CONFIGURAÇÃO PADRÃO (Desktop / Site)</> e <> --- */
.codechange {
  color: rgb(147, 10, 189);/*rgb(147, 10, 189)*/
  font-size: 1.3rem;
}

/* A seta fica visível </> e <> */
.only-desktop {
  display: inline-block; 
}

/* O código fica escondido no site </> e <> */
.only-mobile {
  display: none !important;
}

/* --- CONFIGURAÇÃO PARA CELULAR </> e <> --- */
@media screen and (max-width: 767px) {
  
  /* Esconde a seta no celular */
  .only-desktop {
    display: none !important;
  }

  /* Mostra o código no celular */
  .only-mobile {
    display: inline-block !important;
  }
}

/*==================== NAV ====================*/
.nav {
  max-width: 968px;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__logo,
.nav__toggle {
  color: rgb(147, 10, 189);/*var(--title-color)*/
  font-weight: var(--font-medium);
}

.nav__logo:hover {
  color: rgb(186, 34, 233);/*var(--first-color)*/
}

.iconeLogoHeader {/*logo R do cabeçario*/
  margin-right: -16px;
  margin-top: -3px;
  /* border-radius: 150px 150px 0 0; */
  /* border-spacing: 0px; */
  width: 8vh;
}

.nav__toggle {
  font-size: 1.1rem;
  cursor: pointer;
}

.nav__toggle:hover {
  color: var(--first-color);
}

@media screen and (max-width: 767px) {
  .nav__menu {
    position: fixed;
    bottom: -100%;
    left: 0;
    width: 100%;
    background-color: rgb(3, 29, 9);/*var(--body-color),, cor fundo menu formato para celular*/
    padding: 2rem 1.5rem 4rem;
    box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.15);
    border-radius: 1.5rem 1.5rem 0 0;
    transition: 0.3s;
  }
}

@media screen and (min-width: 767px) {
    .header {
      top: 0;
      bottom: initial;
    }
    .header,
    .main{
      padding: 0 1rem;
    }

     .nav {
      height: calc(var(--header-height) + 1.5rem);
      column-gap: 1rem;
    }
    .nav__icon,
    .nav__close,
    .nav__toggle {
      display: none;
    }

    .nav__list {
      display: flex;
      column-gap: 2rem;
    }

    .nav__menu {
      margin-left: auto;
    }

    /* .change-theme {
      margin: 0;
    } */

}

.nav__list {
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}
.nav__link {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: var(--small-font-size);
  color: white;/*white,, muda o nome do menu*/
  font-weight: var(--font-medium);
}

/*===========abrir e fechar menu formato celular ====================*/
.show-menu {
  bottom: 0;
}
/*========================================*/
/*#208c61 #25ab75 rgb(37,171,117) rgb(186, 34, 233)var(--first-color)*/
.active-link {
  color: #25ab75;
}

.nav__link:hover {
  color: #25ab75;/*var(--first-color),,#25ab75 rgb(186, 34, 233) rgb(37,171,117) ao passar o mouse no menu mudar a cor */
  /* transition: .9s; */
  transition: all 0.5s ease-in-out;
}

.nav__icon {
  font-size: 1.2rem;
  /*background-color: white;/*white,, deixa os icones do menu em branco ou cor colocada*/
}

.nav__close {
  position: absolute;
  right: 1.3rem;
  bottom: 0.5rem;
  font-size: 1.5rem;
  cursor: pointer;
  color: var(--first-color);
}

.nav__close:hover {
  color: var(--first-color-alt);
}

/* Change background header */
.scroll-header {
  box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.15);
}

@media screen and (max-width: 380px) {

  .nav__menu {
    padding: 2rem 0.25rem 4rem;
  }

  .nav__list {
    column-gap: 0;
  }
}